{% extends 'base.html' %}
{% load i18n %}
{% block content %}
    <div class="col-xs-12 col-md-6 col-md-offset-3">
        <div class="panel panel-default panel-primary">
            <div class="panel-heading">
                <h4 class="panel-title"><i class="fa fa-fw fa-sign-in-alt"></i> Connexion</h4>
            </div>
            <div class="panel-body">
                <fieldset>
                    <div class="row">
                        <div class="col-sm-12 col-md-10  col-md-offset-1">
                            <div style="text-align: center;">
                                <i class="fa fa-user-circle fa-5x"></i>
                            </div>
                            <div class="row">
                                <div class="col-lg-12">
                                    {% if form.errors and not form.non_field_errors %}
                                        <div class="alert alert-danger" role="alert">
                                            <p class="errornote">
                                                {% if form.errors.items|length == 1 %}
                                                    {% trans "Please correct the error below." %}{% else %}
                                                    {% trans "Please correct the errors below." %}{% endif %}
                                            </p>
                                        </div>
                                    {% endif %}
                                    {% if form.non_field_errors %}
                                        <div class="alert alert-danger" role="alert">
                                            {% for error in form.non_field_errors %}
                                                <p class="errornote">
                                                    {{ error }}
                                                </p>
                                            {% endfor %}
                                        </div>
                                    {% endif %}
                                    {% if user.is_authenticated %}
                                        <div class="alert alert-danger" role="alert">
                                            {% blocktrans trimmed %}
                                                You are authenticated as {{ user }}, but are not authorized to
                                                access this page. Would you like to login to a different account?
                                            {% endblocktrans %}
                                        </div>
                                    {% endif %}
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-sm-12 col-md-10  col-md-offset-1 ">
                            <form method="post" id="login-form">{% csrf_token %}
                                <div class="form-group">
                                    <div class="input-group">
                                        <span class="input-group-addon"><i
                                                class="fa fa-sign-in-alt fa-lg fa-fw"></i></span>
                                        <input type="text" class="form-control" name="username" type="text"
                                               for="username"
                                               placeholder="Votre identifiant">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="input-group">
                                        <span class="input-group-addon"><i class="fa fa-key fa-lg fa-fw"></i></span>
                                        <input type="password" class="form-control" name="password" for="password"
                                               placeholder="Votre mot de passe">
                                        <span class="input-group-btn">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <input type="submit" class="btn btn-lg btn-primary btn-block"
                                           value="{% trans 'Log in' %}">
                                </div>
                            </form>
                        </div>
                    </div>
                </fieldset>
            </div>
            <div class="panel-footer">
                <div class="password-reset-link">
                    <p align="center">
                        <a href="{% url 'password_reset' %}"
                           title="{% trans 'Mot de passe oublié ?' %}"> {% trans 'Mot de passe oublié ?' %}
                        </a>
                        {% if registration %}  | <a href="#">Créer un compte&nbsp;!</a>{% endif %}
                    </p>
                </div>
            </div>
        </div>
    </div>
{% endblock %}
